net.sf.cglib.transform

## Class ClassTransformer

- java.lang.Object
- - ClassVisitor
  - - net.sf.cglib.transform.ClassTransformer

- Direct Known Subclasses:
    AbstractClassTransformer, ClassEmitter, ClassTransformerTee

      public abstract class ClassTransformer
      extends ClassVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassTransformer()`
    `ClassTransformer(int opcode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `setTarget(ClassVisitor target)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassTransformer

          public ClassTransformer()

    - #### ClassTransformer

          public ClassTransformer(int opcode)

  - ### Method Detail

    - #### setTarget

          public abstract void setTarget(ClassVisitor target)

Copyright (c) 2001 - Apache Software Foundation